<?php

namespace App\Policies;

use App\Models\License;
use App\Models\User;

class LicensePolicy
{
    public function view(User $user, License $license): bool
    {
        return $user->id === $license->user_id || $user->is_admin;
    }

    public function update(User $user, License $license): bool
    {
        return $user->id === $license->user_id || $user->is_admin;
    }
}
